Subject: Re: [PATCH net-next v6 00/10] Decouple receive and transmit enablement in team driver

From: Jakub Kicinski <[email-masked]>
Date: Wed, 8 Apr 2026 17:31:39 -0700

On Wed, 8 Apr 2026 17:10:05 -0700 Marc Harvey wrote:
> On Wed, Apr 8, 2026 at 9:40 AM Jakub Kicinski <[email-masked]> wrote:
> > It pains me to report on non-debug kernels:  
> 
> I'm sorry to have pained you.

To be clear it's a compassionate pain on your behalf, I don' care :)

> Despite my best efforts to run with the exact same environment and
> conditions as your CI, my teamd can be killed with "teamd -k" but
> yours hangs (both are version 1.32 on Fedora with the same kernel
> config). For v7, I’ll invoke "teamd -k" using the timeout utility, or
> just increase the test timeout.